// package main -- демонстрация создания приложения
//
//	go run ./examples/show_app
package main

import (
	"log"
	"os"

	"p78git.ddns.net/svi/libtui/app"
)

func main() {
	app, err := app.NewApp()
	if err != nil {
		log.Printf("main(): in create IApp, err=\n\t%v\n", err)
		os.Exit(1)
	}
	app.Screen().WinDebug().Show()
	if err = app.Run(); err != nil {
		log.Printf("main(): in run IApp, err=\n\t%v\n", err)
		os.Exit(2)
	}
}
